path: /build/build/setproctitle-dev-python-1.3.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/setproctitle -pv -t && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/setproctitle
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/setproctitle && luet-portage --dir /pkgdir/setproctitle
    dev-python/setproctitle && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:0994ac350741e788ab977dd34651cc784e29102059ac7229921228182d577ed1
  package:
    name: setproctitle
    version: 1.3.4
    category: dev-python
    use_flags:
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A Python module to customize the process title
    uri:
    - https://github.com/dvarrazzo/py-setproctitle https://pypi.org/project/setproctitle/
    license: BSD
    buildtimestamp: 2025-01-07 12:13:34.536685391 +0000 UTC m=+69.959240550
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/setproctitle
      kit: python-modules-kit
      original.package.name: dev-python/setproctitle
      original.package.slot: "0"
      original.package.version: 1.3.4
    treedir: /build/packages
  package_dir: /pkgdir/setproctitle
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 90f2951cd845c12443e9c88b887a49d8d14f69262d1f51a8432be5d21fceb335
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/setproctitle/__init__.py
- usr/lib/python3.9/site-packages/setproctitle/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setproctitle/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setproctitle/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/setproctitle/_setproctitle.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/setproctitle/py.typed
- usr/lib/python3.9/site-packages/setproctitle-1.3.4-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/setproctitle-1.3.4-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/setproctitle-1.3.4-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/setproctitle-1.3.4-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/setproctitle-1.3.4-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/setproctitle-1.3.4-py3.9.egg-info/top_level.txt
- usr/share/doc/setproctitle-1.3.4/README.rst.bz2
- var/db/pkg/dev-python/setproctitle-1.3.4/BDEPEND
- var/db/pkg/dev-python/setproctitle-1.3.4/BUILD_TIME
- var/db/pkg/dev-python/setproctitle-1.3.4/CATEGORY
- var/db/pkg/dev-python/setproctitle-1.3.4/CBUILD
- var/db/pkg/dev-python/setproctitle-1.3.4/CFLAGS
- var/db/pkg/dev-python/setproctitle-1.3.4/CHOST
- var/db/pkg/dev-python/setproctitle-1.3.4/CONTENTS
- var/db/pkg/dev-python/setproctitle-1.3.4/COUNTER
- var/db/pkg/dev-python/setproctitle-1.3.4/CTARGET
- var/db/pkg/dev-python/setproctitle-1.3.4/CXX
- var/db/pkg/dev-python/setproctitle-1.3.4/CXXFLAGS
- var/db/pkg/dev-python/setproctitle-1.3.4/DEFINED_PHASES
- var/db/pkg/dev-python/setproctitle-1.3.4/DESCRIPTION
- var/db/pkg/dev-python/setproctitle-1.3.4/EAPI
- var/db/pkg/dev-python/setproctitle-1.3.4/FEATURES
- var/db/pkg/dev-python/setproctitle-1.3.4/HOMEPAGE
- var/db/pkg/dev-python/setproctitle-1.3.4/INHERITED
- var/db/pkg/dev-python/setproctitle-1.3.4/IUSE
- var/db/pkg/dev-python/setproctitle-1.3.4/IUSE_EFFECTIVE
- var/db/pkg/dev-python/setproctitle-1.3.4/KEYWORDS
- var/db/pkg/dev-python/setproctitle-1.3.4/LDFLAGS
- var/db/pkg/dev-python/setproctitle-1.3.4/LICENSE
- var/db/pkg/dev-python/setproctitle-1.3.4/NEEDED
- var/db/pkg/dev-python/setproctitle-1.3.4/NEEDED.ELF.2
- var/db/pkg/dev-python/setproctitle-1.3.4/PF
- var/db/pkg/dev-python/setproctitle-1.3.4/PROVIDES
- var/db/pkg/dev-python/setproctitle-1.3.4/RDEPEND
- var/db/pkg/dev-python/setproctitle-1.3.4/REQUIRES
- var/db/pkg/dev-python/setproctitle-1.3.4/SIZE
- var/db/pkg/dev-python/setproctitle-1.3.4/SLOT
- var/db/pkg/dev-python/setproctitle-1.3.4/USE
- var/db/pkg/dev-python/setproctitle-1.3.4/environment.bz2
- var/db/pkg/dev-python/setproctitle-1.3.4/repository
- var/db/pkg/dev-python/setproctitle-1.3.4/setproctitle-1.3.4.ebuild
package_cacheimage: ""
runtime:
  name: setproctitle
  version: 1.3.4
  category: dev-python
  use_flags:
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A Python module to customize the process title
  uri:
  - https://github.com/dvarrazzo/py-setproctitle https://pypi.org/project/setproctitle/
  license: BSD
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/setproctitle
    kit: python-modules-kit
    original.package.name: dev-python/setproctitle
    original.package.slot: "0"
    original.package.version: 1.3.4
